<?
include_once '../../sys/inc/start.php';
include_once '../../sys/inc/compress.php';
include_once '../../sys/inc/sess.php';
include_once '../../sys/inc/home.php';
include_once '../../sys/inc/settings.php';
include_once '../../sys/inc/db_connect.php';
include_once '../../sys/inc/ipua.php';
include_once '../../sys/inc/fnc.php';
include_once '../../sys/inc/adm_check.php';
include_once '../../sys/inc/user.php';
	$my = null;$frend = null;$all = null;
only_reg();
	

$set['title']='Лента друзей';
include_once '../../sys/inc/thead.php';
if (isset($_GET['read']) && $_GET['read']=='all')
{
if (isset($user))
{
	mysql_query("UPDATE `tape` SET `read` = '1' WHERE `id_user` = '$user[id]'");
	$_SESSION['message']="Список непрочитанных очищен";
}
}

if (isset($_GET['delete']) && $_GET['delete']=='all')
{
if (isset($user))
{
	mysql_query("DELETE FROM `tape` WHERE `id_user` = '$user[id]'");
	$_SESSION['message'] = "Лента очищена от сообщений";
}
}
title();
err();
aut();

	echo "<div class='foot'>";
	echo "<a href='?read=all'><img src='/style/icons/ok.gif'> Отметить всё как прочитанное</a>";
	echo "</div>"; 

if (isset($user))
{
	$num=0;
	$k_post=mysql_result(mysql_query("SELECT COUNT(*) FROM `tape`  WHERE `id_user` = '$user[id]' "),0);
	$k_page=k_page($k_post,$set['p_str']);
	$page=page($k_page);
	$start=$set['p_str']*$page-$set['p_str'];
	$q=mysql_query("SELECT * FROM `tape` WHERE `id_user` = '$user[id]' ORDER BY `time` DESC LIMIT $start, $set[p_str]");

if ($k_post==0)
{
	echo "  <div class='main'>\n";
	echo "Нет новых событий\n";
	echo "  </div>\n";
}

while ($post = mysql_fetch_assoc($q))
{
	$type = $post['type'];
	$avtor = get_user($post['avtor']);
	
	if ($post['read']==0)
	{
	$s1 = "<font color='red'>";
	$s2 = "</font>";
	}else{
	$s1 = null;
	$s2 = null;
	}
	
	mysql_query("UPDATE `tape` SET `read` = '1' WHERE `id` = '$post[id]'");
	
if ($type=='notes' && $post['avtor']!=$user['id']) // дневники
{
	$name = 'создал новый дневник';
}
else if ($type=='status' && $post['avtor']!=$user['id'])
{
	$name = 'установил новый статус';
}
else if ($type=='album' && $post['avtor']!=$user['id'])
{
	$name = 'новое фото в альбоме';
}
else if ($type=='obmen' && $post['avtor']!=$user['id'])
{
	$name = 'добавил новый файл в обменник';
}else{
	$name = null;
}






########################################Статусы начало
if ($type=='status')
{
	$status=mysql_fetch_assoc(mysql_query("SELECT * FROM `status` WHERE `id` = '".$post['id_sim']."' LIMIT 1"));
if ($status['id']){
	echo '<div class="nav1">';
	echo "<b><font color='green'>$avtor[nick]</font></b> $s1 $name ".vremja($post['time'])." $s2";
	echo "</div>";
	echo '<div class="nav2">';
	echo "".output_text($status['msg'])."<br />";
	echo "</div>";
}
}
#########################################Статусы конец



/*
########################################Форум начало
if ($type=='them')
{
	$them=mysql_fetch_assoc(mysql_query("SELECT * FROM `forum_t` WHERE `id` = '".$post['id_file']."' LIMIT 1"));
	$razdel=mysql_fetch_assoc(mysql_query("SELECT * FROM `forum_r` WHERE `id` = '$them[id_razdel]' LIMIT 1"));
	$forum=mysql_fetch_assoc(mysql_query("SELECT * FROM `forum_f` WHERE `id` = '$razdel[id_forum]' LIMIT 1"));
if ($them['id']){
	echo '<div class="nav1">';
	echo "<img src='/style/icons/pencil_go.png' alt=''/> <a href='/plugins/forum/$forum[id]/$razdel[id]/$them[id]/'>$s1 $name $s2</a> ";
if ($post['count']>0)echo "<b><font color='red'>+$post[count]</font></b>";

	echo "</div>";

	echo '<div class="nav2">';
	echo " <b><font color='green'>$avtor[nick]</font></b> ".medal($avtor['id'])." ".online($avtor['id'])." &raquo; <b>".htmlspecialchars($them['name'])."</b><br />";

	echo rez_text(bbcode(htmlspecialchars($them['text']))).""; 

	echo "</div></div>";
}
}
#########################################Форум конец
*/



########################################Дневники начало
if ($type=='notes')
{
	$notes=mysql_fetch_assoc(mysql_query("SELECT * FROM `blog_list` WHERE `id` = '".$post['id_sim']."' LIMIT 1"));

if ($notes['id']){
	echo '<div class="nav1">';
	echo "<b><font color='green'>$avtor[nick]</font></b>, $s1 $name $s2
	<b>".htmlspecialchars($notes['name'])."</b> $s1 ".vremja($post['time'])." $s2";
	echo "</div>";
	echo '<div class="nav2">';	if($notes['privat']==1)	{	echo "<font color='red'>Приватная запись не доступна для просмотра</font>";	}else{
	echo rez_text(htmlspecialchars($notes['msg']))."<br />"; 
	echo "<a href='/user/notes/list.php?id=$notes[id]'><img src='/style/icons/bbl4.png' alt='*'/> 
	(".mysql_result(mysql_query("SELECT COUNT(*) FROM `blog_komm` WHERE `id_blog` = '$notes[id]'"),0).")</a>";	}
	echo "</div>";
}
else
{
	echo '<div class="nav1">';
	echo "<a href='/info.php?id=$avtor[id]'>$avtor[nick]</a> Дневник уже удален =( $s1 ".vremja($post['time'])." $s2";
	echo "</div>";
}
}
#########################################Дневники конец



########################################Фотографии начало
if ($type=='album')
{
	$foto=mysql_fetch_assoc(mysql_query("SELECT * FROM `gallery_foto` WHERE `id` = '".$post['id_sim']."' LIMIT 1"));
	$gallery=mysql_fetch_assoc(mysql_query("SELECT * FROM `gallery` WHERE `id` = '".$foto['id_gallery']."' LIMIT 1"));

if ($foto['id']){
	echo '<div class="nav1">';
	echo "У <b><font color='green'>$avtor[nick]</font></b>, $s1 $name $s2 <a href='/foto/$avtor[id]/$gallery[id]/'><b>".htmlspecialchars($gallery['name'])."</b></a> $s1".vremja($post['time'])."$s2";

	echo "</div>";
	echo '<div class="nav2">';
	echo " &raquo; <b>".htmlspecialchars($foto['name'])."</b><br />";
	echo "<a href='/foto/$avtor[id]/$gallery[id]/$foto[id]/' title='$foto[name]'>
	<img style=' max-width:48px; margin:3px;' src='/foto/foto50/$foto[id].$foto[ras]' alt='$foto[name]' /></a>\n";
	echo "</div>";

}
else
{
	echo '<div class="nav1">';
	echo "<a href='/info.php?id=$avtor[id]'>$avtor[nick]</a> Фото уже удалено =( $s1 ".vremja($post['time'])." $s2";
	echo "</div>";
}
}
########################################Фотографии конец



########################################Обмен начало
if ($type=='obmen')
{
	$file=mysql_fetch_assoc(mysql_query("SELECT * FROM `obmennik_files` WHERE `id` = '".$post['id_sim']."' LIMIT 1"));
	$dir=mysql_fetch_assoc(mysql_query("SELECT * FROM `obmennik_dir` WHERE `id` = '".$file['id_dir']."' LIMIT 1"));
if ($file['id']){
	echo '<div class="nav1">';
	echo "<b><font color='green'>$avtor[nick]</font></b>$s1 $name $s2 <a href='/obmen$dir[dir]".urlencode($file['name']).".$file[ras]?showinfo'><b>".htmlspecialchars($file['name'])."</b></a>  $s1 ".vremja($post['time'])." $s2";


	echo "</div>";
	echo '<div class="nav2">';
if ($file['opis'])echo rez_text(bbcode(htmlspecialchars($file['opis'])))."<br />"; 
	echo "<img src='/style/icons/disk.png' alt=''/> <a href='/obmen$dir[dir]".urlencode($file['name']).".$file[ras]'>Скачать</a> ";
	echo "</div>";
}
else
{
	echo '<div class="nav1">';
	echo "<a href='/info.php?id=$avtor[id]'>$avtor[nick]</a> Файл уже удален =( $s1 ".vremja($post['time'])." $s2";
	echo "</div>";
}
}
#########################################Обмен конец


}

if ($k_page>1)str('?',$k_page,$page); // Вывод страниц


//------------------------alex-borisi-------------------------//
	echo "<div class='foot'>";
	echo "<a href='?delete=all'><img src='/style/icons/delete.gif'> Очистить ленту</a>";
	echo "</div>"; 
	echo "<div class='foot'>\n";
	echo "&laquo; <a href='/info.php'>Моя страничка</a><br />\n";
	echo "</div>\n";
}
include_once '../../sys/inc/tfoot.php';
?>